#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long q,n;
    map <long long, long long> b;
    cin>>n>>q;
    for(int i=0;i<n;i++)
    {
        long long p;
        cin>>p;
        b[p]++;
    }
    long long granica=n/2+1;
    map<long long, long long>::iterator itr;
    long long prvi1=0,prvi2,drugi1=0;
    for(itr=b.begin();itr!=b.end();++itr){
             prvi1=itr->first;
             prvi2=itr->second;
             b[prvi1]+=b[drugi1];
             drugi1=prvi1;
    }
    while(q--)
    {
        long long broj;
        cin>>broj;
        itr=b.lower_bound(broj);
        long long boi=itr->second;
        --itr;
        long long pre=itr->second,posle=0;
        posle=n-pre-(boi-pre);
        if((granica>pre)&&(granica<=n-posle))
            cout<<0<<"\n";
        else
        {
                cout<<abs(pre*2-n)<<"\n";
        }

    }
    return 0;
}